Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 7412

Summary: sound on a IBM laptop
Product: [Retired] Red Hat Linux Reporter: filicz
Component: sndconfigAssignee: Bill Nottingham <notting>
Status: CLOSED WORKSFORME QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6.1CC: efhilton, rvokal
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-12-20 17:26:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description filicz 1999-11-29 14:23:06 UTC
I configured a Crystal soundcard on a laptop IBM thinkpad 380ED it works
perfectly for all the session, but if I reboot or shutdown the equipment
the next time that it is turned on the sounds are repeating as if it had an
echo, The only thing that has worked to me for working well again is to
reconfigure the sound card with the same parameters and it sounds well
again until the equipment is reboot or shutdown then the trouble reappears.

Comment 1 Bill Nottingham 1999-11-29 16:50:59 UTC
Edit /etc/pcmcia/config/config.opts, and
change:

include port 0x100-0x4ff, port 0x1000-0x17ff

to:

include port 0x100-0x1ff, port 0x1000-0x17ff

If you need a particular port for a PCMCIA card you use, add
that range as well.

Then a) reload the sound modules and restart pcmcia, or
b) reboot.

Does that work?

Comment 2 filicz 1999-12-18 18:14:59 UTC
yes, it worked now my sound card works very well

Comment 3 Edgar Hilton 2000-03-20 17:56:59 UTC
would this also work for a Thinkpad 770?

My solution up to now has been to remove all sound related modules from memory
and then letting them load back up on their own.